#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		smartd
#-----------------------------------------------------------------------------
Name		:	smartmontools
Version		:	7.4
Release		:	16.2.0.rel%{?dist}
Summary		:	Tools for monitoring SMART capable hard disks
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://smartmontools.sourceforge.net

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz


#-----------------------------------------------------------------------------
Requires	:	lfs-bootscripts
Requires	:	chkconfig

#-----------------------------------------------------------------------------
%description
The smartmontools package contains two utility programs (smartctl
and smartd) to control and monitor storage systems using the Self-
Monitoring, Analysis and Reporting Technology System (SMART) built
into most modern ATA and SCSI hard disks. In many cases, these
utilities will provide advanced warning of disk degradation and
failure.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%attr (0754,root,root) %{_sysconfdir}/rc.d/init.d/%{sname}
%{_sysconfdir}/%{name}/%{sname}.conf
%{_sbindir}/update-smart-drivedb
%{_sbindir}/smartctl
%{_sbindir}/%{sname}
%{_datadir}/%{name}/drivedb.h
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz

#-----------------------------------------------------------------------------
#after upgrade or remove
%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{sname} stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{sname}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%post
/sbin/chkconfig --add %{sname}
%{_sysconfdir}/rc.d/init.d/%{smart} condrestart > /dev/null 2>&1 || :

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
tar xf %{SOURCE1}

#autoreconf -i -f
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-initscriptdir=no				\
	--with-libsystemd=no   				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#removing uneeded file
%{__rm} -fr %{buildroot}%{_sysconfdir}/%{name}/{smartd_warning*,rc.d}

#installing smartmontools  starting/stopping script
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -a 						\
	%{name}-ok_addon/%{sname}			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d
	
#-----------------------------------------------------------------------------
%changelog
